Debian Bug report logs - #445758
gfax: FTBFS: unmet b-dep libevolution3.0-cil

version graph

Package: gfax; Maintainer for gfax is Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>; Source for gfax is src:gfax.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Mon, 8 Oct 2007 08:21:01 UTC

Severity: serious

Found in version gfax/0.7.6-5

Fixed in versions gfax/0.7.6-5.1, gfax/0.7.6-6

Done: Mirco Bauer <meebey@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Mirco Bauer <meebey@debian.org>:
Bug#445758; Package gfax. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Mirco Bauer <meebey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: gfax: FTBFS: unmet b-dep libevolution3.0-cil
Date: Mon, 8 Oct 2007 09:59:40 +0200
Package: gfax
version: 0.7.6-5
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20071007 qa-ftbfs
Justification: FTBFS on i386

Hi,

During a rebuild of all packages in sid, your package failed to build on i386.

Relevant part:
** Using build dependencies supplied by package:
Build-Depends: debhelper (>= 5.0.0), dpatch
Build-Depends-Indep: cli-common-dev (>= 0.4.4), mono-mcs (>= 1.0) | c-sharp-compiler, libgtk2.0-cil, libgnome2.0-cil, libgconf2.0-cil, libglade2.0-cil, libglib2.0-cil, libevolution2.0-cil, libgnomeprint2.2-dev, gettext, intltool, gnome-doc-utils
Checking for already installed source dependencies...
debhelper: missing
Using default version 5.0.57
dpatch: missing
cli-common-dev: missing
Using default version 0.4.9
mono-mcs: missing
Using default version 1.2.5.1-1
c-sharp-compiler: missing
libgtk2.0-cil: missing
libgnome2.0-cil: missing
libgconf2.0-cil: missing
libglade2.0-cil: missing
libglib2.0-cil: missing
libevolution2.0-cil: missing
libgnomeprint2.2-dev: missing
gettext: missing
intltool: missing
gnome-doc-utils: missing
Checking for source dependency conflicts...
Reading package lists...
Building dependency tree...
Reading state information...
Package libevolution2.0-cil is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
  libevolution3.0-cil
E: Package libevolution2.0-cil has no installation candidate
apt-get failed.
Package installation failed
Trying to reinstall removed packages:
Trying to uninstall newly installed packages:
Source-dependencies not satisfied; skipping gfax

The full build log is available from
http://people.debian.org/~lucas/logs/2007/10/07

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing a sid i386
environment.  Internet was not accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Mirco Bauer <meebey@debian.org>:
Bug#445758; Package gfax. Full text and rfc822 format available.

Acknowledgement sent to Marco Rodrigues <gothicx@sapo.pt>:
Extra info received and forwarded to list. Copy sent to Mirco Bauer <meebey@debian.org>. Full text and rfc822 format available.

Message #10 received at 445758@bugs.debian.org (full text, mbox):

From: Marco Rodrigues <gothicx@sapo.pt>
To: 445758@bugs.debian.org
Subject: build depends
Date: Sat, 17 Nov 2007 15:39:28 +0000
Hi!

If you fix this bug, it can be again synced with Ubuntu.

Thanks!

-- 
Marco Rodrigues

http://Marco.Tondela.org




Reply sent to Philipp Kern <pkern@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 445758-close@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: 445758-close@bugs.debian.org
Subject: Bug#445758: fixed in gfax 0.7.6-5.1
Date: Sun, 13 Jan 2008 10:02:02 +0000
Source: gfax
Source-Version: 0.7.6-5.1

We believe that the bug you reported is fixed in the latest version of
gfax, which is due to be installed in the Debian FTP archive:

gfax_0.7.6-5.1.diff.gz
  to pool/main/g/gfax/gfax_0.7.6-5.1.diff.gz
gfax_0.7.6-5.1.dsc
  to pool/main/g/gfax/gfax_0.7.6-5.1.dsc
gfax_0.7.6-5.1_all.deb
  to pool/main/g/gfax/gfax_0.7.6-5.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 445758@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Philipp Kern <pkern@debian.org> (supplier of updated gfax package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 13 Jan 2008 10:33:16 +0100
Source: gfax
Binary: gfax
Architecture: source all
Version: 0.7.6-5.1
Distribution: unstable
Urgency: low
Maintainer: Mirco Bauer <meebey@debian.org>
Changed-By: Philipp Kern <pkern@debian.org>
Description: 
 gfax       - GNOME frontend for fax programs
Closes: 445758
Changes: 
 gfax (0.7.6-5.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix the build dependencies to use libevolution3.0-cil instead of
     libevolution2.0-cil.  (Closes: #445758)
   * Fix an override disparity (gfax: optional -> extra).
Files: 
 143ccbf134219455ad493a80c9e0fbac 806 gnome extra gfax_0.7.6-5.1.dsc
 9c37034f8df13a7a53626808d5ef9aa8 25934 gnome extra gfax_0.7.6-5.1.diff.gz
 e4fbecd0874bcd75940734d7710b886a 154728 gnome extra gfax_0.7.6-5.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHid127Ro5M7LPzdgRAlbFAJ4+ZC+JSMUQykeDcZ2zj1LtXA+7IACgvlQb
iuvVJAVNoncxh9vWbQT1wqI=
=vNQE
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Mirco Bauer <meebey@debian.org>:
Bug#445758; Package gfax. Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
Extra info received and forwarded to list. Copy sent to Mirco Bauer <meebey@debian.org>. Full text and rfc822 format available.

Message #20 received at 445758@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 445758@bugs.debian.org
Subject: Re: Bug#445758: gfax: FTBFS: unmet b-dep libevolution3.0-cil
Date: Sun, 13 Jan 2008 11:20:13 +0100
[Message part 1 (text/plain, inline)]
On Mon, Oct 08, 2007 at 09:59:40AM +0200, Lucas Nussbaum wrote:
> However the following packages replace it:
>   libevolution3.0-cil
> E: Package libevolution2.0-cil has no installation candidate

Build-depends changed to libevolution3.0-cil.  Build succeeded.  NMU
uploaded.  See attached debdiff for details.

This may enable beagle to transition in 10 days time.

Kind regards,
Philipp Kern
[gfax_0.7.6-5_0.7.6-5.1.debdiff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Mirco Bauer <meebey@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 445758-close@bugs.debian.org (full text, mbox):

From: Mirco Bauer <meebey@debian.org>
To: 445758-close@bugs.debian.org
Subject: Bug#445758: fixed in gfax 0.7.6-6
Date: Thu, 31 Jan 2008 23:17:02 +0000
Source: gfax
Source-Version: 0.7.6-6

We believe that the bug you reported is fixed in the latest version of
gfax, which is due to be installed in the Debian FTP archive:

gfax_0.7.6-6.diff.gz
  to pool/main/g/gfax/gfax_0.7.6-6.diff.gz
gfax_0.7.6-6.dsc
  to pool/main/g/gfax/gfax_0.7.6-6.dsc
gfax_0.7.6-6_all.deb
  to pool/main/g/gfax/gfax_0.7.6-6_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 445758@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mirco Bauer <meebey@debian.org> (supplier of updated gfax package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 31 Jan 2008 23:52:18 +0100
Source: gfax
Binary: gfax
Architecture: source all
Version: 0.7.6-6
Distribution: unstable
Urgency: low
Maintainer: Mirco Bauer <meebey@debian.org>
Changed-By: Mirco Bauer <meebey@debian.org>
Description: 
 gfax       - GNOME frontend for fax programs
Closes: 445758
Changes: 
 gfax (0.7.6-6) unstable; urgency=low
 .
   * Acknowledge NMU. (Closes: #445758)
     + Reverted priority change back to optional, as this package does not
       conflict with anything in main.
   * debian/rules:
     + Using dh_clistrip and dh_clifixperms now.
   * debian/control:
     + Updated Standards-Version to 3.7.3, no changes needed.
     + Updated cli-common-dev build dependency to 0.5.4, as we use dh_clistrip.
     + Added Homepage, Vcs-Browser and Vcs-Svn fields.
   * Rebuild against libgnomeprint2.2-dev 2.18.3-1
Files: 
 542ab68e4c4ebf8f14154439f38321b9 1274 gnome optional gfax_0.7.6-6.dsc
 2a4caf9868fa4168fdce82a0da9ef25f 26254 gnome optional gfax_0.7.6-6.diff.gz
 5f6227d57e3a11c90c19d7276f0f9bb8 155414 gnome optional gfax_0.7.6-6_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iQEVAwUBR6JTxHEn5avu+UbIAQLmYAf/S3vpaosLd8jcyTRTZWIHiHaPERlA/iGU
fnIBjz0/qkupGSYsKdGsEHmZES78w/fhQsiEiUbY/EQ/REPuojoPmywknVH2QtIq
CIVNyQds6SYso0WGopQx7JPYRAcigaHjiWAAs+Dc2Yd8JcM4zsy3x6Z9JlOKnsh0
R5kvO+n8/7ymBrtJvXVkkmTSoHKzKY4CbamoI7txCTVTYs+7DwVFmqRQ4qiW3pPD
OCj4i6fCXACUokyXMAQcYXEuALelIz6dbAIYrgWJEIr5KRYFKpsoDBcEay0frLW4
gtyiw7KMhGtmCs7liJ69tcK8GPRgmPxKoZGirZuzDItvq1xvtteyYg==
=MVxR
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 29 Feb 2008 07:30:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 15:57:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.